Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.impl
Class PojoUtil

    java.lang.Object
      org.jboss.cache.pojo.impl.PojoUtil

    public class PojoUtil

extends Object

Utility class for method wrappers that we are interested to rollback (i.e., rollback).

Version:
  $Id: PojoUtil.java 4012 2007-06-13 00:08:59Z jgreene $
Author:
  Ben Wang

Constructor Summary
`PojoUtil()`

Method Summary
`void` | `attachInterceptor(Object pojo, org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `decrementReferenceCount(org.jboss.cache.Fqn sourceFqn, int count, List refList)`
`void` | `detachInterceptor(org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `incrementReferenceCount(org.jboss.cache.Fqn sourceFqn, int count, List refList)`
`void` | `inMemorySubstitution(Object obj, Field field, Object newValue)`
`void` | `undoAttachInterceptor(Object pojo, org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `undoDecrementReferenceCount(org.jboss.cache.Fqn sourceFqn, int count, List refList)`
`void` | `undoDetachInterceptor(org.jboss.aop.InstanceAdvisor advisor, org.jboss.aop.advice.Interceptor interceptor)`
`int` | `undoIncrementReferenceCount(org.jboss.cache.Fqn sourceFqn, int count, List refList)`
`void` | `undoInMemorySubstitution(Object obj, Field field, Object oldValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoUtil

    public PojoUtil()

Method Detail

### attachInterceptor

    public void attachInterceptor(Object pojo,
                                  org.jboss.aop.InstanceAdvisor advisor,
                                  org.jboss.aop.advice.Interceptor interceptor)

### detachInterceptor

    public void detachInterceptor(org.jboss.aop.InstanceAdvisor advisor,
                                  org.jboss.aop.advice.Interceptor interceptor)

### undoAttachInterceptor

    public void undoAttachInterceptor(Object pojo,
                                      org.jboss.aop.InstanceAdvisor advisor,
                                      org.jboss.aop.advice.Interceptor interceptor)

### undoDetachInterceptor

    public void undoDetachInterceptor(org.jboss.aop.InstanceAdvisor advisor,
                                      org.jboss.aop.advice.Interceptor interceptor)

### inMemorySubstitution

    public void inMemorySubstitution(Object obj,
                                     Field field,
                                     Object newValue)

### undoInMemorySubstitution

    public void undoInMemorySubstitution(Object obj,
                                         Field field,
                                         Object oldValue)

### incrementReferenceCount

    public int incrementReferenceCount(org.jboss.cache.Fqn sourceFqn,
                                       int count,
                                       List refList)

### undoIncrementReferenceCount

    public int undoIncrementReferenceCount(org.jboss.cache.Fqn sourceFqn,
                                           int count,
                                           List refList)

### decrementReferenceCount

    public int decrementReferenceCount(org.jboss.cache.Fqn sourceFqn,
                                       int count,
                                       List refList)

### undoDecrementReferenceCount

    public int undoDecrementReferenceCount(org.jboss.cache.Fqn sourceFqn,
                                           int count,
                                           List refList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.